Major changes in 1.54.4
=======================
* udisks2: Increasing reference count when updating volume to fix crashes (Ondrej Holy)
* onedrive: Add missing replace stream to fix crashes (Jan-Michael Brummer)
* onedrive: Fix double free during cache rebuild to fix crashes (Jan-Michael Brummer)

Major changes in 1.54.3
=======================
* onedrive: Set name of drive root (Jan-Michael Brummer)
* onedrive: Handle multiple drives with same IDs (Jan-Michael Brummer)
* onedrive: Guess mime type locally if not set by the server (Jan-Michael Brummer)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.54.2
=======================
* ftp: Change cwd to root before renaming to prevent failures (rong wang)
* udisks2: Ignore autofs mounts to prevent duplicated entries (Ondrej Holy)
* ftp: Use timegm instead of mktime to not shift dates by timezone (Ondrej Holy)
* ftp: Preserve mtime when copying to local (Ondrej Holy)
* build: Add deprecated_apis option to control installation of headers (Ondrej Holy)
* dav: Disable query_info_on_read method to fix mtime preservation (Ondrej Holy)
* network: Disable usage of smbbrowse backend by default (Ondrej Holy)
* smbbrowse: Don't enforce NT1 to fix mounting in certain cases (Ondrej Holy)
* onedrive: Fix various memory leaks (Jan-Michael Brummer)
* build: Disable burn backend by default (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.54.1
=======================
* network: Request content-type attribute to suppress critical errors (Ondrej Holy)
* metadata: Check g_stat result to avoid using of uninitialized value (Ondrej Holy)
* ftp: Fix data connection to IPv6 link-local address (Ben Wolsieffer)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.54.0
=======================
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.53.91
========================
* onedrive: Fix several issues (Jan-Michael Brummer)
* wsdd: List just devices of pub:Computer type to filter out unwanted devices (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.53.90
========================
* daemon: Add OneDrive support based on msgraph library (Jan-Michael Brummer)
* client: Reduce synchronous metadata methods calls to improve performance (Corey Berla)
* network: Provide standard::content-type and access::can-rename attributes (António Fernandes)
* build: Fix unknown arguments error on systems that don't use GNU C library (Ondrej Holy)
* udisks2: Fix unmounting of mount paths that contain non-ASCII characters (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.53.1
=======================
* daemon: Add WS-Discovery support based on wsdd daemon (Ondrej Holy)
* network: Hide Windows Network folder and show the servers merged by default (Ondrej Holy)
* network: Various other fixes and enhancements (Ondrej Holy)
* daemon: Port to gcr4 (Ondrej Holy)
* smb: Fix livelock when mounting share without enough permissions (Ondrej Holy)
* smb: Fix moving files across filesystem boundaries (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.52.1
=======================
* client: Prevent returning invalid mount cache entries (rong wang)
* dav: Fix authentication issues when DNS-SD URIs are used (Ondrej Holy)
* nfs: Fix IPv6 URI handling (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.52.0
=======================
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.51.91
========================
* sftp/ftp: Ensure that is-symlink is always set to avoid warnings (Sébastien Noel)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.51.90
========================
* Fix various memory leaks (wang xiaomeng)
* udisks2: Disconnect signal handlers to fix crashes when unmounting (Ondrej Holy)
* fuse: Include missing locale.h header (Ondrej Holy)
* Some other fixes and improvements (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.51.1
=======================
* trash: Run blocking methods on a thread to avoid hangs (Ondrej Holy)
* smbbrowse: Fix empty device listing after unrelated mount failure (Ondrej Holy)
* udisks: Fix missing unmount notifications (Ondrej Holy)
* trash: Fix nfs4 and cifs monitoring (re2zero)
* smb: Allow renaming a file to the same name with a different case (Corey Berla)
* mtp: Add support for incremental enumeration (re2zero)
* mtp: Emit delete event on device disconnection (António Fernandes)
* trash: Fix wrongly reported item-count (rong wang)
* Some other fixes and improvements (Matt Turner, Sebastien Bacher, Simon McVittie, wangrong, Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.50.4
=======================
* dav: Prevent usage of NULL for nonexistent source file (Ondrej Holy)
* client: Fix copy/move operation from/to Flatpak sandbox (Ondrej Holy)
* http: Report original sizes regardless of compression usage (Lucas Chollet)
* Fix string comparison on various places (Sergio Costas Rodriguez)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.50.3
=======================
* dav: Prevent usage of NULL when user is not specified (Ondrej Holy)
* ftp: Fix hangs when the connection is released (wangrong)
* fuse: Decrease file handle reference when open file fail (wangrong)
* sftp: PATH-expand the ssh client (Alex Stewart)
* test: Several smaller enhancements (Sébastien Bacher)
* backend: Add support for xx-large and x-large thumbnails (Ondrej Holy)
* goa: Prevent automounts when resuming from suspension (Ondrej Holy)
* Translation updates (GNOME Translation Project contributors)

Major changes in 1.50.2
=======================
* smb: Rework anonymous handling to avoid EINVAL (Ondrej Holy)
* http: Unescape prefix to fix handling of encoded URIs (Ondrej Holy)
* build: Fix build without Avahi support (Ondrej Holy)

Major changes in 1.50.1
=======================
* dav: Drop user from URI as a workaround for Nextcloud bug (Ondrej Holy)
* dav: Port DNS-SD resolver to async API to fix hangs when mounting (Ondrej Holy)
* smb: Ignore EINVAL for kerberos/ccache login (Ondrej Holy)
* dav: Rewrite to libsoup async API to fix crashes (Daniel Kolesa)
* dav: Do not lose userinfo when copying URIs (Daniel Kolesa)

Major changes in 1.50.0
=======================
* Translation updates

Major changes in 1.49.90
========================
* http/dav: Port to libsoup3 (Daniel Kolesa)
* http: Do not silently accept invalid certificates (Daniel Kolesa)
* build: Remove incorrect i18n.merge_file argument to fix build (Ondrej Holy)
* Translation updates

Major changes in 1.49.1
=======================
* sftp: Adapt on new OpenSSH password prompts
* build: Set of improvements for meson
* Add PartOf=graphical-session.target to all systemd units
* Move systemd services to session slice
* Translation updates

Major changes in 1.48.1
=======================
* build: Use install prefix in systemd files paths
* client: Prevent socket leaks if socket dir is inaccessible from client
* admin: Fix regressions caused by port to named sockets
* udisks2: Report unmount progress after showing blocking processes
* Translation updates

Major changes in 1.48.0
=======================
* Translation updates

Major changes in 1.47.91
========================
* Translation updates

Major changes in 1.47.90
========================
* google: Add Shared drives folder
* google: Add Shared with me folder
* google: Improve performance for folders with large number of files
* daemon: Set filesystem::use-preview explicitly and consistently
* daemon: Unify and shorten strings for prompt dialog titles
* Translation updates

Major changes in 1.47.1
=======================
* mtp: Fix crashes when storage descriptions are not provided
* trash: Explicitly cancel file monitor to prevent deadlock
* admin: Add copy and push implementations for better performance
* client: Add fallback to session bus for synchronous API
* daemon: Use named sockets to avoid network permission requirement
* smb: Set fast content type independently of other attributes
* ftp: Prevent source file removal in case of transfer failure
* google: Report progress for file transfers from local filesystem
* sftp: Add support for two factor authentication
* sftp: Use connection multiplexing instead of multiple connections
* smb: Report progress when move operation is done
* google: Set the display name for the root folder also
* Translation updates

Major changes in 1.46.1
=======================
* trash: Do not fail when G_FILE_COPY_NO_FALLBACK_FOR_MOVE is used
* dav: Be sure that enumeration is possible when looking for a root

Major changes in 1.46.0
=======================
* No changes

Major changes in 1.45.92
========================
* build: Link libgvfscommon to libmetadata
* Translation updates

Major changes in 1.45.90
========================
* trash: Add support for x-gvfs-notrash option to ignore mounts
* recent: Port to GDateTime
* Translation updates

Major changes in 1.45.3
=======================
* client: Add support for zone identifiers in IPv6 addresses
* afc: Add support for libplist-2.2
* Translation updates

Major changes in 1.45.2
=======================
* metadata: Emit D-Bus signal when metadata are modified
* sftp: Preserve timestamps during copy and move operations
* dav: Add support for Negotiate and NTLM authentication
* Translation updates

Major changes in 1.44.1
=======================
* udisks2: Fix several memory leaks
* Translation updates

Major changes in 1.44.0
=======================
* Translation updates

Major changes in 1.43.92
========================
* Translation updates

Major changes in 1.43.91
========================
* build: Fix login_tty detection on systems without libutil
* afc: Handle permission denied error
* test: Several smaller fixes
* Translation updates

Major changes in 1.43.90
========================
* google: Add support for move and copy operations
* google: Several smaller bugfixes and enhancements
* goa: Add support for certificate prompts
* sftp: Fix file ownership when replacing
* dnssd: Prevent crashes after releasing resolver
* fuse: Prevent abortions if modified time is not set
* Translation updates

Major changes in 1.43.2
=======================
* gdbus: Add workaround for deadlocks when cancelling jobs
* smb: Improve enumeration performance
* test: Port to python3-twisted

Major changes in 1.43.1
=======================
* Don't set a content-type that isn't certain
* Replace usage of deprecated GTimeVal by GDateTime
* dav: Add support for services with IPv6 link-local addresses
* dav: Fix mounting when 403 is returned for the parent folder
* Revert "sftp: Always use port 22 if not specified"
* Translation updates

Major changes in 1.42.0
=======================
* Translation updates

Major changes in 1.41.91
========================
* fuse: Remove max_write limit
* Several smaller bugfixes
* Translation updates

Major changes in 1.41.90
========================
* udisks2: Change display name for crypto_unknown devices
* google: Disable deletion of non-empty directories
* google: Fix crashes when deleting if the file isn't found
* google: Fix issue with stale entries remaining after rename operation
* build: Define gvfs_rpath for libgvfsdaemon.so
* proxy: Don't leak a GVfsDBusDaemon
* Translation updates

Major changes in 1.41.4
=======================
* google: Do not enumerate volatile entries if title matches id
* build: Add dependency on gsettings-desktop-schemas
* daemon/udisks2: Handle lockdown option to disable writing
* fuse: Define RENAME_* macros when they are not defined
* google: Check ownership in is_owner() without additional HTTP request
* Several smaller bugfixes
* Translation updates

Major changes in 1.41.3
=======================
* daemon: Only accept EXTERNAL authentication (CVE-2019-12795)
* daemon: Check that the connecting client is the same user (CVE-2019-12795)
* admin: Ensure correct ownership when moving to file:// uri (CVE-2019-12449)
* admin: Use fsuid to ensure correct file ownership (CVE-2019-12447)
* admin: Allow changing file owner (CVE-2019-12447)
* admin: Add query_info_on_read/write functionality (CVE-2019-12448)
* Translation updates

Major changes in 1.41.2
=======================
* build: Several meson improvements
* build: Bump required meson version to 0.50.0
* google: Support deleting shared Google Drive files
* admin: Prevent core dumps when daemon is manually started
* afc: Remove assumptions about length of device UUID to support new devices
* Several smaller bugfixes
* Translation updates

Major changes in 1.41.1
=======================
* gmountsource: Fix deadlocks in synchronous API
* fuse: Adapt gvfsd-fuse to use fuse 3.x
* afp: Fix afp backend crash when no username supplied
* daemon: Unify some translatable strings
* Translation updates

Major changes in 1.40.0
=======================
* No changes

Major changes in 1.39.92
========================
* client: Fix mount info cache invalidation
* Several smaller bugfixes
* Translation updates

Major changes in 1.39.91
========================
* smb: Do not show password prompt when using winbind ccache
* Several smaller bugfixes
* Translation updates

Major changes in 1.39.90
========================
* sftp: Always use port 22 if not specified
* mtp: Don't retry reading an event after failure
* admin: Prevent access if any authentication agent isn't available (CVE-2019-3827)
* build: Several meson improvements
* Several smaller bugfixes
* Translation updates

Major changes in 1.39.4
=======================
* keyring: Prefer the most recent item
* afp: Try to find credentials even if user is not specified
* dav: Try authenticate again even if 403 was returned
* Several smaller bugfixes
* Translation updates

Major changes in 1.39.3
=======================
* udisks2: Improve handling of mounts which doesn't point into fs root
* udisks2: Restore support of comment=x-gvfs-* option
* daemon: Prevent spawning new daemons if outgoing operation exists
* common: Prevent crashes on invalid autorun file
* Several smaller bugfixes
* Translation updates

Major changes in 1.39.1
=======================
* google: Rework cache for better performance
* google: Add support for files with multiple parents
* udisks2: Add a new volume class `loop`
* gphoto2: Fix mounting for devices with special chars in ID_SERIAL
* mtp: Fix mounting for devices with special chars in ID_SERIAL
* smbbrowse: Force NT1 protocol version for workgroup support
* Several smaller bugfixes
* Translation updates

Major changes in 1.38.0
========================
* Translation updates

Major changes in 1.37.92
========================
* udisks2: Use loop backing file as description for unlock
* Remove workaround for directory / folder icons
* Translation updates

Major changes in 1.37.91
========================
* Translation updates

Major changes in 1.37.90
========================
* ftp: Add implicit TLS mode
* dav: Increase max number of connections to prevent lockups
* smb: Do not claim that mountable can be unmounted
* build: Add proper linker support check
* Several smaller bugfixes
* Translation updates

Major changes in 1.37.4
=======================
* udisks2: Support TCRYPT devices
* google: Do not create .desktop files for native files
* udisks2: Fix crashes caused by missing source tag
* udisks2: Handle x-gvfs- options not only for fstab entries
* Several smaller bugfixes
* Translation updates

Major changes in 1.37.2
=======================
* smb: Fix removal of non-empty dir
* programs: Remove deprecated gvfs utils
* gdu: Remove libgdu support
* gphoto2: Switch to a stable device uri
* mtp: Switch to a stable device uri
* Several smaller bugfixes
* Translation updates

Major changes in 1.37.1
=======================
* udisks2: Remove optical disc volumes/mounts if drive disappears
* daemon: Prevent deadlock and invalid read when closing channels
* metadata: Prevent usage of NULL if GUdevDevice is not found
* mtp: Implement support for move and copy operations
* backend: Fix crashes when "Volume is busy" prompt is shown
* build: Remove autotools
* build: Various meson-related fixes and improvements
* Several smaller bugfixes
* Translation updates

Major changes in 1.36.0
=======================
* Translation updates

Major changes in 1.35.92
========================
* build: Print summary of the options in meson
* smb: Avoid "Error: Success" failure messages
* Several smaller bugfixes
* Translation updates

Major changes in 1.35.91
========================
* mtp: Prevent crashes if device is unplugged during mount operation
* daemon: Fix admin backend spawning on some systems
* google: Return error properly when trying to replace native files
* Several smaller bugfixes
* Translation updates

Major changes in 1.35.90
========================
* build: Several FreeBSD related fixes
* Translation updates

Major changes in 1.35.4
=======================
* recent: Prevent crash when recent file changed
* trash: Fix trash::orig-path for relative paths
* Several smaller bugfixes
* Translation updates

Major changes in 1.35.3
=======================
* mtp: Handle read-past-EOF ourselves to prevent hangs
* Port several parts to GTask
* Several smaller bugfixes
* Translation updates

Major changes in 1.35.2
=======================
* metadata: Remove udev dependency in favor of gudev
* build: Enable elogind support in meson
* build: Port to meson build system
* gphoto2: Fix volume removal with current udev behavior
* mtp: Fix volume removal with current udev behavior
* Several smaller bugfixes
* Translation updates

Major changes in 1.35.1
=======================
* sftp: Add support for setting timestamps
* dav: Prevent usage of uninitialized variables
* afp: Prevent usage of uninitialized variable
* programs: Remove bashism from gvfs-* wrapper script
* Several smaller bugfixes
* Translation updates

Major changes in 1.34.0
=======================
* Translation updates

Major changes in 1.33.92
========================
* Translation updates

Major changes in 1.33.91
========================
* daemon: Avoid overflowing when querying for filesystem info
* proxy: Fix shadow mount handling for equal paths
* gdaemonfile: Fix g_file_equal for different mount_prefix
* gdaemonfile: Fix relative path handling
* client: Fix crash when calculating a relative path
* channel: Set sockets as nonblocking to prevent deadlocks when copying
* google: Report FS total size and free space
* Several smaller bugfixes
* Translation updates

Major changes in 1.33.90
========================
* admin: Require mounting for each client explicitly
* dav: Fix DAV implementation stripping spaces
* gdaemonfileenumerator: Fix crashes in synchronous enumerator code
* goa: Fix password-based authentication
* Translation updates

Major changes in 1.33.3
=======================
* Do not sent user invisible mounts in order to speed up g_volume_monitor_get
* mtp: Remove avoidance of file push for big files for better performance
* Various build fixes and cleanups
* Port several parts to GTask
* Several smaller bugfixes
* Translation updates

Major changes in 1.33.1
========================
* recent: Port from GtkRecentManager to GBookmarkFile (drop GTK+ dependency)
* sftp: Handle SecurID password prompt
* common: Fix potential crash caused by missing g_strdup
* fuse: Prevent potential crash if file handle is not set
* sftp: Prevent potential crash in case of parsing error
* google: Prevent potential crashes if resolve_dir fails
* gphoto2: Fix x-content-types setup
* google: Fix reported file size
* Port several parts to GTask
* Several smaller bugfixes
* Translation updates

Major changes in 1.32.0
=======================
* Translation updates

Major changes in 1.31.92
========================
* Translation updates

Major changes in 1.31.91
========================
* Translation updates

Major changes in 1.31.90
========================
* recent: Set G_FILE_ATTRIBUTE_RECENT_MODIFED attribute
* client: Ignore everything after first colon in userinfo
* Stability improvements for force unmount procedure
* Port several parts to GTask
* Various logging improvements
* Several smaller bugfixes
* Translation updates

Major changes in 1.31.4
=======================
* sftp: Limit writes to 32768 bytes
* udisks2: Improve unmount notifications
* daemon: Bump maximum read channel buffer size
* recent: Fix crashes when DISPLAY is not set
* Several smaller bugfixes
* Translation updates

Major changes in 1.31.3
=======================
* dnssd: Fix crashes for uris with colons
* trash: Correctly determine fs type for paths with symlinks
* gdaemonfile: Pass GFileCreateFlags in write operations
* metadata: Various performance improvements
* Several smaller bugfixes
* Translation updates

Major changes in 1.31.2
=======================
* dnssd: Fix crashes and leaks when mount fails
* network: Fix crashes when mount fails
* udisks2: Fix misleading notification when unmounting
* smb: Fix IPv6 uri handling
* smb: Improve read performance
* udisks2: Add support for uuid
* trash: Do not crash if home mount isn't found
* admin: Fix polkit errors caused by redundant translations
* Port several parts to GTask
* Several smaller bugfixes
* Translation updates

Major changes in 1.31.1
=======================
* udisks2: Improve handling of volumes with multiple mountpoints
* man: Various man page updates
* hal: Drop hal volume monitor
* programs: Deprecate gvfs utils in favour of new gio tool
* Several smaller bugfixes
* Translation updates

Major changes in 1.30.0
=======================
* Translation updates

Major changes in 1.29.92
========================
* Several smaller bugfixes
* Translation updates

Major changes in 1.29.91
========================
* dav: Various mount operation fixes
* Several smaller bugfixes
* Translation updates

Major changes in 1.29.90
========================
* build: Use upstream gettext instead intltool
* build: Use autoreconf instead custom script
* dnssd: Fix crashes when mount failed
* Several smaller bugfixes
* Translation updates

Major changes in 1.29.4
=======================
* Introduce an admin gvfs backend based on polkit
* gvfs-open: Fix spawning of applications with dashses in their app IDs
* daemon: Fix crashes caused by NULL certificates
* daemon: Set G_FILE_ATTRIBUTE_FILESYSTEM_REMOTE attribute
* Several smaller bugfixes and improvements
* Translation updates

Major changes in 1.29.3
=======================
* afc: Many improvements and fixes for iOS support 
* fuse: Add possibility to enable debug output
* test: Skip tests if dependencies are missing
* Several smaller bugfixes
* Translation updates

Major changes in 1.29.2
=======================
* client: Fix missing mount prefix in cached fuse paths
* monitor: Add g_drive_is_removable() support
* dav: Fix IPv6 address handling
* Several smaller bugfixes
* Translation updates

Major changes in 1.29.1
=======================
* udisks2: Fix crashes when mounting encrypted volume
* mtp: Refactor event handling in order to fix unmount crashes
* Several smaller bugfixes

Major changes in 1.28.1
=======================
* udisks2: Abort mount operation if volume is unlocked
* udisks2: Lock unlocked volumes on eject/stop
* trash: Check modification time to avoid rereading
* trash: Rescan trash dirs before operations with files
* Translation updates

Major changes in 1.28.0
=======================
* afc: Several fixes for recent iOS versions
* Translation updates

Major changes in 1.27.92
========================
* fuse: Avoid crashes when exiting
* Translation updates

Major changes in 1.27.91
========================
* udisks2: Send unmount notification only once when stopping
* Translation updates

Major changes in 1.27.90
========================
* udisks2: Avoid crashes during unmount
* ftp: Fix cache invalidation after writing
* network: Fix crashes when mount failed
* mtp: Allow reading on more devices
* Several smaller bugfixes
* Translation updates

Major changes in 1.27.4
=======================
* dns-sd: Add support for nfs shares
* Do not print anything from daemons unless debug mode is enabled
* Several other logging improvements
* Translation updates

Major changes in 1.27.3
=======================
* sftp: Fail cancelled jobs
* metadata: Avoid endless recursion when copying meta files
* mtp: Use phone icon for MTP devices
* udisks2: Do not show notification if unmount failed
* completion: Allow bash completion for gvfs-mount
* http: Return error if seek was not successful
* sftp: Handle "Too many authentication failures" error
* Several smaller bugfixes
* Translation updates

Major changes in 1.26.2
=======================
* Accept XDG_RUNTIME_DIR/bus as a valid D-Bus session/user bus
* google: Fail in-fs copy/move if it leads to display name loss
* google: Mark files you can't see on the web as hidden
* Translation updates

Major changes in 1.26.1.1
=========================
* file monitor: Fix crashes caused by invalid read

Major changes in 1.26.1
=======================
* proxyvolumemonitor: Fix crashes when drives/volumes/mounts caches are changed
* Add a corresponding systemd user service for every D-Bus session service
* google: Report progress when copying and moving
* ftp: Return correct file info for absolute symlink paths
* sftp: Fix crashes when force unmount is proceeded
* sftp: Fix crashes when data connection setup failed
* Several smaller bugfixes
* Translation updates

Major changes in 1.26.0
=======================
* Translation updates

Major changes in 1.25.92
========================
* Add Google Drive backend based on libgdata
* Make all gvfs daemons own a name under org.gtk.vfs.*
* Several smaller bugfixes
* Translation updates

Major changes in 1.25.91
========================
* afp: Change g_error to g_warning for read errors to prevent crash reports
* dav: Mark files as untrashable to offer correct action in Nautilus
* gdaemonfile: Fix cancelling of g_file_mount_enclosing_volume
* Several smaller bugfixes
* Translation updates

Major changes in 1.25.90
========================
* Several bash-completion fixes and improvements
* mtp: Return ENOTEMPTY if trying to delete a non-empty directory
* Set filesystem::type for all backends
* build: Make EXTRA_DIST independent of configure results
* Several smaller bugfixes
* Translation updates

Major changes in 1.25.4.1
=========================
* monitor: Fix memory leak

Major changes in 1.25.4
=======================
* udisks2: Fix a crash when unmounting
* udisks2: Handle libsecret errors properly to avoid a crash
* afc: Fix a crash when unmounting and unplugging
* cdda: Use UTF-8 with libcdio >= 0.84
* Translation updates

Major changes in 1.25.3
=======================
* common: Fix crashes with blank disks
* gvfs-open: Fix launching applications over d-bus
* monitor: Show notification always when device is unmounted
* sftp: Use separate data connection for pulling and pushing data
* Several smaller bugfixes
* Translation updates

Major changes in 1.25.2
=======================
* gvfs-open: Do not alter uris before use
* mtp: Refresh storage information in query_info
* dav: Emit progress callbacks when copying and moving
* Several smaller bugfixes
* Translation updates

Major changes in 1.25.1
=======================
* dav: Verify TLS certificates
* ftp: Use TCP_NODELAY
* ftp: Implement TLS support
* sftp: Handle host key / IP mismatch
* Several smaller bugfixes

Major changes in 1.24.1
=======================
* hal: Fix compilation error and memory leak
* Translation updates

Major changes in 1.24.0
=======================
* Fix g-ir-compiler failures
* Translation updates

Major changes in 1.23.92
========================
* Remove obsolete obexftp code
* metadata: Reliability improvements
* afc, gphoto2: Fix force unmount when device is removed
* ftp: Prevent segfault when unmounting
* ftp: Bug fixes for directory parsing
* dav: Fix crash on mount when using dns-sd
* common: Increase mount timeout to 30 minutes
* Several smaller bugfixes
* Update man pages
* Translation updates

Major changes in 1.23.90
========================
* ftp: Implement backups for replace
* Add an nfs backend based on libnfs
* test: Various improvements and fixes
* ftp: Implement G_FILE_COPY_NOFOLLOW_SYMLINKS
* programs: Fix bash completion
* dav: Add support for server-side copying
* mtp: Set MTP filetype from mime type when uploading files
* gvfs-mount: Allow mounting as an anonymous user
* smb: Handle the anonymous flag
* Several smaller bugfixes
* Translation updates

Major changes in 1.23.4
=======================
* gproxymount: Fix crashes if eject callback isn't specified
* metadata: Fix crashes if tree initilization failed
* Several smaller bugfixes
* Translation updates

Major changes in 1.23.3
=======================
* Fix reported size for http and dav
* Several smaller bugfixes
* Translation updates

Major changes in 1.23.2
=======================
* Try copy and delete fallback for move if backup couldn't be created
* mtp: Do not crash when device is unplugged
* tests: Several fixes
* Several smaller bugfixes
* Translation updates

Major changes in 1.23.1
=======================
* Several improvements to unmounting reliability
* fuse: Several fixes to prevent data corruption and improve stat() results
* Improve root dir name and icon handling for gphoto2 and mtp
* Add bash completion support for gvfs-rename and gvfs-set-attribute
* client: Check for G_FILE_COPY_NO_FALLBACK_FOR_MOVE when push/pulling
* Add -C flag to gvfs-move
* sftp: Don't spin during connection
* sftp: Correctly retrieve the username from the secret store
* goa: Pass "password" as ID when fetching the password
* tests: Some cleanups and reliability fixes
* Several smaller bugfixes
* Translation updates

Major changes in 1.22.1
=======================
* mtp: Improve transfer speed for large files
* trash: Do not poll mount points without read access
* afp: Fix volume names encoding
* gvfs-set-attribute: "-n" flag implementation
* Improvements to avoid crashes during unmount
* Several smaller bugfixes
* Translation updates

Major changes in 1.22.0
=======================
* Translation updates

Major changes in 1.21.92
========================
* metatree: Avoid endless looping when the entry is too large
* archive: Allow reading files with '/./' in the path
* Several smaller bugfixes
* Translation updates

Major changes in 1.21.91
========================
* ftp: Fix crashing with latest glib
* tests: Gnome desktop testing integration
* dav: Force unmount when dns-sd data changes
* Several smaller bugfixes
* Translation updates

Major changes in 1.21.90
========================
* gvfs-save: Allow specifying G_FILE_CREATE_REPLACE_DESTINATION
* dav: Send infos incrementally
* ftp: Timeouted and closed connection handling improvements
* fuse: Error mapping fixes
* daemon: Wait to finish all jobs before unmount
* afp: Timeouted and closed connection handling improvements
* http: Limit maximal number of connections
* http: Reuse idle connections
* mtp: Error semantics and handling fixes
* mtp: Fix icon handling
* mtp: Support for create and delete events
* mtp: Use unique storage name
* mtp: Various fixes
* Several smaller bugfixes
* Translation updates

Major changes in 1.21.4
========================
* afp: Fix hangs while enumerating large directories
* afp: Performance improvement
* dav: Fix mounting multiple shares on the same host with different paths
* Several smaller bugfixes
* Translation updates

Major changes in 1.21.3
=======================
* afc: Implement standard::allocated-size
* smb: Implement standard::allocated-size
* afp: Report number of bytes copied
* afc: Work-around mounts not disappearing when disconnecting device
* afc: Add version detection for iOS 6, 7 and 8
* metadata: Fix misaligned accesses to 64bit data
* Several smaller bugfixes
* Translation updates

Major changes in 1.21.2
=======================
* gvfs-mount: Handle the ask-question signal
* dav: Implement push support
* recent: Implement query_info_on_read ()
* trash: Implement query_info_on_read ()
* tests: Various fixes
* Several smaller bugfixes and portability fixes
* Translation updates

Major changes in 1.21.1
=======================
* gvfs-move: Improve the interactive move and progress output
* gvfs-copy: Improve the interactive copy and progress output
* afc: Check for iOS >= 3.1.2 to enable house arrest
* dav: Use the native move operation
* fuse: Set permissions from UNIX mode when available
* smb: Give correct error when unlink fails while closing file
* dav: Unescape URIs before comparing them for equality
* Report gvfs version when --version is used
* Several smaller bugfixes and portability fixes
* Translation updates

Major changes in 1.20.0
=======================
* Translation updates

Major changes in 1.19.90
========================
* mtp: Symbolic icons implementation
* mtp: Volume name improvements
* mtp: Various fixes
* Several smaller bugfixes
* Translation updates

Major changes in 1.19.5
=======================
* gvfsdaemon: properly remove socket_dir
* ftp: Set etag::value
* daemon: Rate limit progress callbacks
* daemon: Set infinite timeout for enumerate response
* client: remove GVfsUriMountInfo
* sftp: force openpty(3) on BSD
* Several smaller bugfixes
* Translation updates

Major changes in 1.19.4
=======================
* dav: Implement truncate for output streams
* dav: Implement seek for output streams
* gphoto2: Implement pull support
* Several smaller bugfixes
* Translation updates

Major changes in 1.19.3
=======================
* Truncate support for output streams in various backends
* Convert libgvfscommon and libdaemon to a private shared library
* dav: Set the is_hidden property for files starting with a '.'
* http: Allow seek past end of file
* http: Various fixes
* afp: Don't free the handle if truncate fails
* gphoto2: Don't release the device multiple times
* smb: Require libsmbclient from Samba 3.4.0 or higher
* dav: Report number of bytes used on the filesystem
* gphoto2: Return the correct offset when seeking
* mtp: fix segfault when device not found
* mtp: Fail fast if in the middle of an unmount
* sftp: Implement try_query_fs_info using the OpenSSH statvfs extension
* sftp: Implement pull support
* Several smaller bugfixes and cleanups
* Translation updates

Major changes in 1.19.2
=======================
* sftp: Implement GFileCreateFlags and improve permission handling
* sftp: Implement push support
* sftp: Various fixes
* smb: Report number of bytes used on the filesystem
* smb: Various fixes
* daemon: Make progress callbacks work with try methods
* afp: Report number of bytes used on the filesystem
* archive: Set filesystem size information
* archive: Set the is_hidden attribute when appropriate
* archive: Various fixes
* trash: Add " (invalid encoding)" to files with invalid encoding
* trash: Support enumerating non-UTF-8 filenames
* tests: Various fixes
* recent: Don't mark filesystem as read-only
* recent: Prevent spurious monitor notifications
* Several smaller bugfixes and cleanups
* Translation updates

Major changes in 1.19.1
=======================
* Fix seeking past end of file for various backends
* archive: Set file executable bit from archive contents
* http: Set error to NULL to possibly prevent crash on close
* dav: Set file type to regular by default
* build: Remove unnecessary trailing slashes in path
* client: Fix usage of incorrect enum constant
* gvfs-info: Show URI
* gvfs-ls: Added option to output URIs
* fuse: Use the big_writes option to speed up writes
* Translation updates

Major changes in 1.18.2
=======================
* Fix a client side regression in 1.18.1 where apps would stop responding
* Fix a race condition in job handling that could cause large copies to hang
* Various fixes to the fuse implementation

Major changes in 1.18.1
=======================
* GVfsDaemon: Don't deadlock on cliend disconnect
* GDaemonFileMonitor: Only recieve events on one dbus connection
* GDaemonFileEnumerator: Only listen to messages one connection
* Several compilation warnings fixes and code cleanup
* Translation updates

Major changes in 1.18.0
=======================
* Translation updates

Major changes in 1.17.91
=======================
* Handle large thumbnails as well as normal ones

Major changes in 1.17.90
=======================
* archive: Update to latest libarchive API
* http: Stop using deprecated apis

Major changes in 1.17.3
=======================
* Clean shutdown implementation for various backends
* tests: Various fixes
* afc: Update to libimobiledevice new api

Major changes in 1.17.2
=======================
* metadata: Fix write regression
* smb: Allow specifying custom port
* tests: Various fixes
* http: Don't do network i/o when reading just the thumbnail path
* goa: Make shadowed mounts work

Major changes in 1.17.1
=======================
* metadata: Downgrade journal short-read to debug
* metadata: Flush all scheduled writeouts on daemon exit
* metadata: Use shorter writeout timeout on NFS
* metadata: Put journal in $XDG_RUNTIME_DIR for shared NFS homedir case
* metadata: Create new journal if it doesn't exist
* metadata: Be more resistive to broken journal files
* metadata: Force tree re-read after successful flush
* ccda: Adds remaining shutdown infrastructure and call from cdda backend
* Translation updates

Major changes in 1.17.0
=======================
* daemon: Ensure monitors are not prematurely finalized
* daemon: Fix crash when cancelling channel operations
* daemon: Tweak read sizes
* daemon: Close channels belonging to the active mount only
* daemon: Add infrastructure for the backends to exit cleanly
* channel: Unqueue cancelled requests
* channel: Verify that replies are for the right serial
* channel: Fix readahead behaviour
* channel: Return proper error if we're out of free fds
* mtp: Refactor read path in preparation for supporting normal files
* mtp: Use Android extensions to support in place read and write of files
* mtp: Use normal filenames in paths
* mtp: When removing cache entries, remove children too
* mtp: Clear previous cache entries when refreshing a directory
* mtp: Clear cache and emit delete events when an object is removed
* mtp: Handle overwriting of files in do_push and do_pull correctly
* mtp: Use standard name for SD Card icon
* obexftp: Fix crasher due to missing D-Bus threads support
* GVfsIcon: support icon serialisation
* Man pages typo fixes
* Translation updates

Major changes in 1.16.0
=======================
* cdda: Fix warnings for each track on the CD
* cdda: Remove unneeded function argument
* cdda: Remove leading '/' from the filenames
* mtp: Switch to version based checks for new libmtp features
* trash: Use the symbolic names for trash:: attributes
* tests: Update expected gvfs-mount -li output
* Translation updates

Major changes in 1.15.4
=======================
* gdu,udisks2: Make use of new ID_FS_BOOT_SYSTEM_ID udev property
* fuse: Install systemd tmpfiles.d exclusion file
* mtp: Fix crash when libmtp operations fails without error message
* mtp: Respect remove_source when pulling a file
* mtp: Respect remove_source in do_push
* tests: Add gvfs-testbed to enable tests which need root
* tests: Check for URI string presence on CLI unmount
* Translation updates

Major changes in 1.15.3
=======================
* New gnome-online-accounts volume monitor written by Debarshi Ray
* Various test suite fixes and improvements
* tests: Fix tar/zip ArchiveMounter tests
* tests: Fix race condition in Drive tests
* tests: Use apache2 binary directly
* daemon: Implement proper org.gtk.vfs.MountTracker.UnregisterMount()
* mtp: Fix race between on_uevent and do_unmount
* mtp: Fix leaked weak reference on monitors
* cdda: Adapt to new paranoia.h location
* smb: Implement proper unmount method
* computer: Fix volume monitoring
* build: Replace deprecated autoconf macros
* Translation updates

Major changes in 1.15.2
=======================
* New MTP backend and volume monitor written by Philip Langdale
* test: Add Drive tests
* test: Drop genisoimage dependency
* test: Include */sbin in PATH
* Translation updates

Major changes in 1.15.1
=======================
* client: Set default timeout to infinite for all GDaemonFile methods
* http, dav: Port to SoupRequest
* sftp: Fix symlink target in query_info_reply()
* smb: Report proper error on do_query_fs_info()
* proxy volume monitor: Don't disable exit_on_close on session bus
* proxy volume monitor: Get session bus on demand
* udisks2: Use udisks 2.0.90 API for symbolic icons
* udisks2: Fix symbolic icons for devices without an UDisksDrive
* udisks2: Don't leak GIcon when applying hints
* udisks2: Get icons via UDisksObjectInfo for block devices that are not drives
* udisks2: Add support for mount option x-gvfs-symbolic-icon
* udisks2: If a drive is hotplugged and CanPowerOff is TRUE, set can_stop to TRUE
* udisks2: Don't set GDrive.can_stop to TRUE if drive has removable media
* test: Add tests for trash://
* test: Add tests using the introspected Gio API
* test: Fix Drive tests for Python 3.3
* test: Disable service activation for local D-BUS
* test: Skip Dav tests if http is disabled
* programs: Add a cmdline way to empty the trash
* programs: Print out symbolic-icon in gvfs-info
* Removed calls to g_type_init()
* Translation updates

Major changes in 1.15.0
=======================
* New testing framework, written by Martin Pitt
* daemon: Check for a NULL GMountOperation when unmounting
* daemon: Allow specifying directory and extensions for mount files
* proxy volume monitor: Don't emit connected/added signals at object creation
* proxy volume monitor: Allow specifying the dir for .monitor files
* client: Don't disable exit_on_close on session bus
* fuse: Don't crash on unmount
* udisks2: Add appropriate content type for media players
* gphoto2: Make sure to not call g_mutex_clear twice, causing a crash
* smb: Fix libsmbclient samba 4 support
* Fix OpenBSD portability issues
* Translation updates

Major changes in 1.14.0
=======================
* Translation updates

Major changes in 1.13.9
=======================
* build: Use tar-ustar instead of tar-pax
* daemon: Fix some memory leaks
* file monitor: Try to unsubscribe from the proxy used for subscription
* hal volume monitor: Fix compilation
* gdu volume monitor: Handle gdu_pool_new() returning NULL gracefully
* Translation updates

Major changes in 1.13.8
=======================
* Added support for symbolic icons
* Removed favicon support
* Various build fixes and cleanup
* daemon: Return correct error for invalid backends
* daemon: Fix races when mounting the same mount in parallel
* daemon: Don't warn when running against an older gvfs-daemon
* gdbus: Don't g_warn about getting the dbus name
* gmountspec: Make sure to free the GVariantIter
* afc: Improve idevice error handling
* afc: Unpair an idevice if it was already paired and refuses to connect
* afc: Use the correct choice index for "Cancel"
* afp: fix g_vfs_afp_connection_get_max_request() not returning any value
* afp: Use human friendly error messages
* network: Don't set a file size for the network:// shortcuts
* network: Append the service name when needed to help differentiate
* recent: Honor the private hint
* Don't use the display name to make the unique mount point
* Don't include jargon in mount display names and messages
* Added more hints for translators
* Translation updates

Major changes in 1.13.7
=======================
* Use libsecret instead of gnome-keyring
* afp: Lots of robustness work
* cdda: Support libcdio >= 0.84
* Translation updates

Major changes in 1.13.6
=======================
* gphoto: suppor libgphoto 2.5 API

Major changes in 1.13.5
=======================
* cdda: Fix abort with non-ASCII text
* Add more man pages
* Translation updates

Major changes in 1.13.4
=======================
* Core daemon and backends GDBus port
* FSF Address has been updated
* gvfs-fuse-daemon has been renamed to gvfsd-fuse
* Spelling correction "filesystem" -> "file system"
* programs: Return proper exit value when something fails
* udisks2: Work around Linux bug for lingering partitions of cleared loop device
* udisks2: set should_automount to TRUE for loop devices set up by the user
* udisks2: ensure that encrypted loop devices also get padlock emblem
* build: Update udisks2 requirement to version 1.97
* proxyvolumemonitor: Use GDBusProxy's name owner change notification
* computer: Mark items as not renamable
* afc: Use consistent debug env var
* Translation updates

Major changes in 1.13.3
=======================
* Added man pages for all gvfs utilities
* Added a recent files backend (using GtkRecentManager)
* Support for new GMountOperation::show-unmount-progress signal
* daemon: Updated to use XDG Cache Home for thumbnails
* daemon/sftp: Support allocating PTYs through openpty on BSD
* udisks2: Plug a memory leak
* trash: Make it possible to get to real URI
* Translation updates

Major changes in 1.13.2
=======================
* dav: Ignore empty tags in multistatus responses
* dav: Abort finding the root on error or auth info change
* fuse: Support ftruncate() where requested size > current size
* gdbus: Use stable metadata proxy
* gvfs-open: Use g_app_info_launch_default_for_uri()
* build: Install bash completion files in /usr/share/
* Some more build fixes
* Translation updates

Major changes in 1.13.1
=======================
* Volume monitoring and metadata GDBus port
* Couple of udisks2 multiseat fixes
* udisks2: Don't call g_simple_async_result_take_error() twice
* udisks2: Also check for umount(8) saying "target is busy"
* udisks2: Set timeout to INTMAX when unmounting a filesystem
* udisks2: Show "Eject Anyway" (not "Unmount Anyway") if ejecting
* gvfs-mount: Add new -e option to eject a mount
* Translation updates

Major changes in 1.13.0
=======================
* afp: Convert pascal strings into utf-8
* afp: Use the UTF-8 server name for password dialogs when it's available
* udisks2: Don't set should_automount to TRUE for devices on other seats
* udisks2: Set should_automount correctly when starting up
* udisks2: Don't show drives from other seats and special-case seat "all"
* udisks2: Don't automount if drive is shared across all seats
* udisks2: Support getting/storing LUKS encryption passphrase from keyring
* build: Include udisks2/what-is-shown.txt in the tarball
* build: Bail if gphoto support is requested but not available
* Translation updates

Major changes in 1.12.1
=======================
* udisks2: Fix some memory leaks
* gphoto2: Initialize mutex early enough
* afc: Fix building against libimobiledevice-1.1.2
* afp: Prevent redefinition of GVfsAfpServer
* Translation updates

Major changes in 1.12.0
=======================
* Translation updates

Major changes in 1.11.5
=======================
* udisks2: Set G_VOLUME_IDENTIFIER_KIND_CLASS identifier for volumes
* fuse: Keep using ~/.gvfs as fallback
* Translation updates

Major changes in 1.11.4
=======================
* dav: Fix free space reporting
* udisks2: Only show /run/media/$USER mounts instead of $XDG_RUNTIME_DIR
* Translation updates

Major changes in 1.11.3
=======================
* Brand new udisks2 volume monitor by David Zeuthen
* AFP backend fixes and enhancements
* User runtime dir is now used for gvfs mounts and the burn backend
* Fixed backends segfaulting on unmount
* Translation updates

Major changes in 1.11.2
=======================
* gvfs-mime: List recommended applications
* daemon: Spawn fuse daemon in foreground for uClibc compatibility
* ftp: Make ftp.mount no longer conditionally built
* fuse: Remove the unused sys/vfs.h include
* build: Check for util.h to prevent implicit declaration
* Translation updates

Major changes in 1.11.1
=======================
* Fixed several crashes from recent mutex API changes
* http: Automatically decompress gzip'ed streams
* afc: Invert the choices order for the device passcode dialog
* afc: Tweak the text used to report a device locked error
* afc: Add support for iOS5 thumbnails
* Translation updates

Major changes in 1.11.0
=======================
* volume monitors: Keep remote volume monitor proxies alive forever
* volume monitors: Support get_sort_key() in out-of-process volume monitors and gvfs-mount(1)
* daemon: Grab a pointer to the GvfsBackend before unref'ing a job source, preventing a crash
* build: Purge hardcoded -DG_DISABLE_DEPRECATED
* Adapt to GLib 2.31.0 deprecations and new API
* Translation updates

Major changes in 1.10.0
=======================
* smb: Ignore read-only attribute for directories
* gdu volume monitor: Mark bootable mounts as such
* Translation updates

Major changes in 1.9.5
======================
* gdu: Don't ignore fstab mounts belonging to crypto volumes
* smb: Always check for existing file on rename
* dav: Fix small memory leak (display_name)
* Translation updates

Major changes in 1.9.4
======================
* Brand new AFP backend written by Carl-Anton Ingmarsson
* Fixed several leaks of GSimpleAsyncResult objects
* Added simple gvfs-mime test application
* daemon: Ignore SIGPIPE signals to avoid process termination on cancelled transfer
* computer: Use 'drive-harddisk-system' as File System icon
* ftp: Fix return value of try_get_settable_attributes() on failure
* gvfs-open: Exit with error code > 0 when open fails
* String tweaks and translation updates

Major changes in 1.9.3
======================
* gvfs-copy: Do not use deprecated g_format_size_for_display()
* fuse: Bring back real statfs()
* Fixed several obvious programming errors found during code analysis
* Translation updates

Major changes in 1.9.2
======================
* ftp: Fix stupid proxy servers disconnecting on FEAT
* build: Lower AC_PREREQ requirement
* gdu: Respect UDISKS_AUTOMOUNT_HINT available in recent udisks and gnome-disk-utility
* Translation updates

Major changes in 1.9.1
======================
* client: Handle error events when polling _g_vfs_daemon_call_sync ()
* client: Don't leak the GCancellable's fd in case of an g_poll error
* daemon: New logic to the backend to block requests
* daemon: Add logic to force close active channels
* daemon: Implement auto-busy on unmount
* daemonfile: Re-root the path in set_display_name ()
* http: Add http_backend_get_mount_base ()
* http: Get rid of unnecessary calls to uri_for_filename ()
* dav: Correctly encode URLs
* dav: Unescape the path when setting the mount_prefix of the GMountSpec
* dav: Include username and/or port in the backend's display-name
* dav: Decode the paths of the multistatus response before comparing them
* dav: Check for empty but present displayname dav-property
* dav: Implement query_fs_info and report used and free space
* dav: Use default unmount logic
* afc: Better error messages
* gphoto2: Use new default auto-busy code
* build: Change default tarball compression format to xz
* Translation updates

Major changes in 1.9.0
======================
* fuse: Make created files visible immediately on WebDAV
* fuse: Pretend created file exists even if backend didn't create it
* afc: Fix renaming files moving them to the root dir
* afc: Use a better display name for jailbroken device access
* common: Use libbluray to get Blu-Ray metadata
* daemon: Fix threadsafety of closing channels
* daemon: Don't leak dbus messages
* gdu volume monitor: Fix setting the BDMV name
* gdu volume monitor: Fix check for symlinks in /dev
* gdu volume monitor: Automount flash card readers
* gphoto2: Recognize cameras which don't implement get storageinfo
* dav: Fix copying of remote folders to disk
* dav: Correctly handle usernames supplied in the url
* http/dav: Send Accept-Language header
* http: Use Content-Disposition filename if available
* Translation updates

Major changes in 1.7.3
======================
* build: Bump fuse requirement for ATOMIC_O_TRUNC support
* build: Honor ACLOCAL_FLAGS
* build: Don't link http backend with SoupOutputStream
* build: Cleanups and fixes for compiler warnings
* client: Fix wrong assignment before dbus_connection_unref()
* archive: Prevent assertion failure on duplicate mount
* archive: Skip leading "./" from pathnames if present
* archive: Propagate entry index as inode no. for files
* smb: Add support for default location
* Translation updates

Major changes in 1.7.2
======================
* ftp: Parse mode, user and group for unix listings
* ftp: Implement chmod
* sftp: Catch invalid argument type for chmod command
* smb: Catch invalid argument type when setting mtime
* Translation updates

Major changes in 1.7.1
======================
* Various build issues fixed
* Fix gvfs client code on ARM platform
* ftp: Fix refcounting of addresses when connecting
* ftp: Detect TLS and SSL support
* afc: Add ability to mount the house-arrest service
* afc: Add support for House Arrest protocol to access
       the Documents/ folder within applications
* Translation updates (nb, es, he, et)

Major changes in 1.7.0
======================
* sftp: Close pty master in child process to prevent SELinux denial
* fuse: Add proper truncate support for open()
* Port to GSettings
* gdu: Treat mounts as hidden if they have a path element
  that starts with a dot
* Translation updates (ug, th)

Major changes in 1.6.5
======================
* Remove app lookup extension (now handled internally in GIO)
* gphoto: Use correct address for GPhoto mounts with gudev
* sftp: Fix poll() timeout

Major changes in 1.6.4
======================
* Lots of translation updates
* afc: Add support for photo thumbnails on iOS4
* daemons: Move GConf initialization from backend constructor
* sftp: Use poll() to cope with openssh-5.6 changes

Major changes in 1.6.3
======================
* translation updates
* fix the build against recent glib
* afc: remove com.apple.afc dependency
* afc: add password dialog
* ftp: fix undeclared variable
* ssh: improve password dialog

Major changes in 1.6.1
======================
* Translation updates
* client: Always return ERROR_CANCELLED for cancelled operations
* afc: Don't handle jailbroken phones
* afc: Detect ipad with right name and icon
* ftp: Better handling of some PWD results
* gdu: Support eject of blank cdroms
* client: Don't loop on problematic dbus input

Major changes in 1.6
====================
* afc: Allow copy of folders
* gphoto2: Don't access things accessible via afc too
* Translation updates

Major changes in 1.5.5
======================
* Fix with-dbus-service-dir configure switch
* ftp: Cleanup (close the data connection unconditionally)
* archive: Use archive_errno() the correct way
* Correct return values on error for programs
* Translation updates

Major changes in 1.5.4
======================
* gphoto2: Better support for devices that are read-only + delete
* gdu: Various fixes and preparation for LVM
* ftp: fix asserts
* sftp: remember to save password if username changed
* gio module: don't call g_file_find_enclosing_mount_async callback directly
* gvfs-monitor: Track moves if availible
* Translation updates

Major changes in 1.5.3
======================
* afc: Update for libimobiledevice (rename of libiphone)
* ftp: Handle cases where symlink target is not defined
* ftp: Prefer PASV/PORT to EPSV/EPRT for IPv4, the latter for IPv6
* Translation updates

Major changes in 1.5.2
======================
* Support new "default location" gio mount attribute
* Enable support for lazy loading of gio modules
* Don't build hal if building gdu
* daemon: Finalize backend on unmount
* metadata: stability and leak fixes
* metadata: fix data loss on i/o error
* fuse: Don't support readlink
* fuse: Allow setting mtime
* fuse: Fix permissions
* smb: Fix free space reporting on some servers
* gdu: handle mounts better
* trash: Fix crash/assert

Major changes in 1.5.1
======================
* Translation updates
* FreeBSD support for the gphoto2 backend
* Don't show ssh dns-sd items in dns-sd:, only sftp ones
* New AFC backend, providing access to Apple's iPhone, and iPod Touch devices
* Don't silently overwrite when restoring from trash
* Don't subscribe to unnecessary HAL D-Bus events
* Avoid error dialogs when the user canceled
* Don't confuse media players for cameras
* gdu: Consider logical partitions when determining if a drive should be ignored
* gdu: Separated "Safely Remove Drive" from "Eject"
* gdu: Disallow mounting/ejecting empty drives
* gdu: Handle NULL device objects
* obexftp: Fix a crash in the backend
* obexftp: Delete source file after move (remove_source switch)
* http: Support querying input streams
* http: Store and use cookies
* smb: Support querying filesystem size and free space
* ftp: Fixed parsing of CMU/VMS-IP FTP style listing
* Support for loading icon and title on Blu-ray video discs
* Bugs fixed: 595981, 596867, 517014, 593045, 594928, 586724, 586729, 597104, 580825

Major changes in 1.4.0
======================
* Translation updates
* metadata: fix leaks
* fix some uninitialized memory reads
* Always return metadata:: as a writable namespace for all backends

Major changes in 1.3.6
======================
* Translation updates
* ftp: robustness fixes
* gdu: Avoid unnecessary authentication dialogs

Major changes in 1.3.5
======================

* Properly translate gvfs-* programs
* Implement support for g_cancellable_release_fd
* sftp: Handle existing file on mkdir
* smb: Better performance when reading files
* ftp: Fix memory leaks
* Make dav mounts work be accessible with fuse (#590730,#590862)
* metadata: Fix memory leaks in daemon
* metadata: Fix rare write error on journal wrapover
* gphoto: Handle removal of camera with multiple storage heads
* hal: Fix crash for volumes with no HAL UDI

Major changes in 1.3.4
======================

* ftp: Make large FTP transfers work
* gphoto: use udev instead of hal
* Fix build on FreeBSD
* Bugs fixed: 588187, 589915, 573994, 590793, 576229, 589434

Major changes in 1.3.2
======================

* metadata-store: initial implementation
* gvfs-ls: add a -n option to gvfs-ls for nofollow-symlinks
* gvfsd-computer: better handling of PC floppy drives
* ftp: EPTR support
* cdda: Support gudev (and prefer it instead of hal)
* Add support user interaction when unmounting mounts (gdu, gphoto2)
* Add support starting/stopping drives (gdu monitor)
* Fix 'make distcheck'
* Bugs fixed: 582175, 516704, 586280, 585853, 582772, 585591, 587484

Major changes in 1.3.1
======================
* Add Gnome Disk utility based volume monitor
* Emit pre-unmount signal on GMounts
* Use new race-free cancellation connect APIs
* fix crash with newer glib
* avoid sending progress info if not needed
* ftp: Convert to use gio network APIs
* ftp: Restructure code significantly
* ftp: Fix logging in to a FTP server only works for the 2nd attempt
* ftp: Handle files > 4 gig
* gphoto: Fix support for Canon EOS 5D
* sftp: Pick up SSH_AUTH_SOCK from gnome-keyring
* sftp: Don't trust remote permissions for uids other than user
* cdda: verify filenames before using
* gvfs-copy: Show speed when copying

Major changes in 1.2.2
======================
* ftp: Fix error handling in some cases
* proxy monitor: Fix warning spew

Major changes in 1.2.1
======================
* Fix duplicate CD audio icons after remount
* Fix problems mounting encrypted volumes
* Handle usernames with @ in them better in uris
* trash: handle weird filenames correctly
* sftp: Fix various error conditions
* volume monitors: emit pre-unmount signals
* smb: Fix various error conditions
* fuse: Make sure closing a file flushed the file on the backend

Major changes in 1.2.0
======================
* sftp: Don't hang if ssh no authentication method availible
* Don't leak file monitors
* computer: don't show shadowed mounts

Major changes in 1.1.8
======================
* Fix crashers and leaks
* Handle file:// uris with anchors in gvfs-open
* fuse: Support ftruncate to the current file size
* escape/unescape hostname part in uris, allowing spaces in e.g. smb domains
* hal: Fix "No mount object" error on mount
* Change details of the new .xdg-volume-info file format
* Fix races in cancellation of gvfs streams
* Remove debug spew from backends
* ftp: Fix anonymous login
* gphoto2: Ignore broken storages with no capacity
* Don't globally modify COMP_WORDBREAKS in bash completion script
* Don't ask for username when getting ssh key passphrase

Major changes in 1.1.7
======================
* Fix build on some platforms
* ftp: Fix short read errors
* gphoto2: Make it work on iphone
* sftp: Fix symlink creation
* fuse: Better support of truncation, fixing OOo save
* proxy monitors: Support mount operations, etc
* gvfs-mount: add --device commandline support
* sftp: Fix protocol bug that made some servers not work
* general support for query_info over streams, implemented for smb, sftp
* Initial support for .xdg-volume-info reading

Major changes in 1.1.6
======================
* Fix crashes
* trash: Better messages
* Clean up glib and gtk includes
* archive: Build with later versions of libarchive
* dav: Fix folder creation
* dav: Fix redirection when user is specified in url
* http: fix error propagation
* sftp: Try to preserve ownership when replacing a file

Major changes in 1.1.5
======================
* network: Pick up SMB shares from zeroconf
* obexftp: Write support for
* obexftp: Support obexftp over usb
* trash: Don't follow symlinks on delete
* fix crashes

Major changes in 1.1.4
======================
* Trash performance fixes
* Fuse performance fixes

Major changes in 1.1.3
======================
* ftp: fix limited number of connections causes commands to fail (#565504)
* trash: fix parallel build doesn't work (#562955)
* trash: add trash::orig-path and trash::deletion-date info
* trash: set files to mode 700 before deleting to deal with users trashing read-only directories
* smb-browse: browsing authentication support (#524485)
* smb-browse: make backend not automounted anymore

Major changes in 1.1.2
======================
* New trash backend
* Use the new shadow mount facility in gio
* gphoto2: Use shadow mounts
* obex: Fix icon for root directory
* http: Fix major memory leak
* http: Support proxies

Major changes in 1.1.1
======================
* Reverse map FUSE pathnames to gvfs locations
* Fix crashes
* Show better icon info in gvfs-info
* Support custom icons for gvfs backends
* dav: support uris (dav+sd://) which specify dns-sd services instead of resolved ip+port
* ftp: Fix time parsing
* ftp: Show username in auth dialog if specified in uri
* ftp: Support UTF8 server feature
* ftp: Use LIST -a instead of LIST on unix servers
* fuse: Fix major race in that caused crashes
* fuse: Set st_blocks so that e.g. the "du" command works
* gphoto: use custom icons for faster thumbnails
* obexftp: Port to bluez 4 API
* sftp: If name specified in mount, use in name too so that fuse paths are unique
* sftp: Support /etc/favicon.png
* smb: Don't ask for password twice if cancelled
* smb: support setting timestamp

Major changes in 0.99.7
=======================

* Go back to using powers of 10 instead of powers of 2 for display sizes.
  This means we will agree with printed sizes for most devices (e.g. memory
  sticks will now correctly report "64MB volume" instead of previous
  "61.7MB volume").

* Bug fixes:
  546971 - rhythmbox crashed when ejecting an ipod device
  550858 - Export CD-Text info via xattrs

* Translation updates:
  nb.po (Kjartan Maraas), nl.po (Wouter Volsterlee), pt.po (Duarte Loreto),
  cs.po (Petr Kovar)

Major changes in 0.99.6
=======================

* Better cross-backend copy/move logic. Now will perform an actual file
  system move if possible, even when the source and target are handled
  by different backends (e.g. trash and local).
* Now requires libsoup >= 2.23.91.

* Bug fixes
  548841 - Incorrect usage of plural forms in gphoto backend
  547133 - Getting mtime over http backend is broken
  538573 - lastmodified uses ISO 8601 date/time where it should use http-date
  549253 - error path leaks
  549553 - gvfs mangles uri for unhandled schemes
  550100 - gio uses 10^3 base (SI) for volume names
  529971 - Restore from trash appears to do a file copy
  RH 460223 - gnome-mount no longer automatically opens LUKS-encrypted
              partitions

* Translation updates:
  nl.po (Wouter Bolsterlee), gl.po (Ignacio Casal Quinteiro), es.po
  (Jorge Gonzalez), pt_BR.po (Og Maciel), et.po (Priit Laes), eu.po
  (Inaki Larranaga Murgoitio), th.po (Theppitak Karoonboonyanan), ja.po
  (Takeshi AIHANA), vi.po (Nguyễn Thái Ngọc Duy), fr.po (Robert-André
  Mauchin), he.po (Yair Hershkovitz), nb.po (Kjartan Maraas), mk.po
  (Jovan Naumovski), de.po (Hendrik Richter), ga.po (Seán de Búrca),
  zh_HK.po (Chao-Hsiung Liao), zh_TW.po (Chao-Hsiung Liao), sv.po
  (Daniel Nylander)

Major changes in 0.99.5
=======================

* FTP backend now restores file permissions when replacing a file.
* Miscellaneous unreported bug fixes.

* Bug fixes
  41852  - Items should be restored to orig. name when moved out of trash
  546300 - g_file_replace_async doesn't allow NULL etag

* Translation updates:
  be@latin (Ihar Hrachyshka), es (Priit Laes, Jorge Gonzalez),
  th (Theppitak Karoonboonyanan), pt_BR (Og Maciel), pl (Tomasz
  Dominikowski), ml (Praveen Arimbrathodiyil), pt (Duarte Loreto),
  fi (Ilkka Tuohela), zh_HK (Chao-Hsiung Liao), zh_TW (Chao-Hsiung Liao),
  cs (Petr Kovar), gl (Ignacio Casal Quinteiro), ja (Takeshi AIHANA),
  he (Yair Hershkovitz), gu (Sweta Kothari), ar (Djihed Afifi)


Major changes in 0.99.4
=======================

* Require glib >= 2.17.6
* Support und update serialization of GEmblem and GEmblemedIcon
* Add x-content/* support to daemon mounts
* Use standard icon names

* Bug fixes
  545695 – any new volume is mounted twice
  545489 – Nautilus hangs when inserting a CD
  544008 – g_daemon_file_replace_async mode err
  543552 – gvfs-fuse-daemon crashes if dbus dies
  528891 – Handle URI schemes case insensitive
  525779 – Dont look for trashs dir on sys mounts
  545968 – leaks xml documents in error cases
  545966 – Disallow net access to WebDAV xml parser
  509740 – Trash icon not updated ..
  539167 – Use g_set_error_literal where appropriate
  528848 – [PATCH] statfs lies
  518284 – need to add i18n on module branching

* Translation updates:
  it (Luca Ferretti), gl (Ignacio Casal Quinteiro), es (Jorge Gonzalez)
  ja (Takeshi AIHANA), ar (Khaled Hosny), pt_BR (Vladimir Melo),
 

Major changes in 0.99.3
=======================
* Fix frequent crasher in volume monitor

Major changes in 0.99.2
* Move hal and gphoto volume monitors out of process
* Fix recursive copying
* Require glib >= 2.17.4
* Make the fuse daemon more reliable
* Many smaller bugfixes
* et (Ivar Smolin), vi (Clytie Siddall), 
  ar (Djihed Afifi, Khaled Hosny)

Major changes in 0.99.1:
* Fix directory copy/delete problems
* Fuse daemon robustness fixes
* Allow mounting non-standard ISO images
* Better username/domain tests on mount spec
* Require gphoto >= 2.4.0
* Fix strdup()/g_free() confusion
* Use consistent translatable strings for mount and volume
* Plug some memory leaks
* Many smaller bug fixes
* Translation updates: 
  ar (Djihed Afifi, Khaled Hosny), bg (Alexander Shopov),
  et (Ivar Smolin), he (Yair Hershkovitz),
  nb (Kjartan Maraas), tr (Baris Cicek), vi (Clytie Siddall)

Major changes in 0.2.2:
* Respect the giomoduledir provided in gio package config file
* Better mount icon and name for archive backend
* Fix crashes with cancelled stream ops
* Fix race that caused a mount to hang for a client
* Implement async query_filesystem_info
* Fix minor leaks
* trash: Correct display names for directories
* sftp: Kerberos support
* smb: Port to new samba 3.2.0 API (backwards compat)
* sftp: Handle overwrites correctly (was silent overwrite)

Major changes in 0.2.1:
* Added archive backend
* Implement most of the async functions in GDaemonFile
* Correctly handle usernames in uris for ftp://
* Ftp fixes
* Webdav fixes
* Add gvfs-rename command line utility
* Fix cancellation
* OpenBSD fixes
* smb: hide dot files
* Enviroment variable to disable fuse backend at runtime

Major changes in 0.2.0:
* Fix crashes
* Build and portability fixes
* Better mime icons for remote shares
* Don't show mounts and volumes outside /media
* Don't automount gphoto mounts
* Translate cd disc names
* ftp: Updates
* obex: Give better error message on broken phones
* sftp: Allow setting permissions
* dav: Correct mount name, file icons and file types

Major changes in 0.1.11:
* Correctly free mounts
* Disable debug log

Major changes in 0.1.10:
* Fix volume monitor change reporting
* Fix timeout during automount

Major changes in 0.1.9:
* Added ftp backend
* Added obexftp backend
* Locking fixed for volume monitors
* Better bash completion
* Better webdav support
* Allow backends to specify uri details in .mount file
* Fix leaks and crashes
* Fix icon for audio cds

Major changes in 0.1.8:
* Update for gio API changes
* Add gphoto2 backend
* Add network: and dns-sd: backend support
* Http and webdav backend updates
* Keyring support
* Fix crashes and deadlocks
* Add trash::item-count attribute to trash:///
* Fix smb reads > 65535 bytes breaking on some servers
* Fix cancellation race in reading
* Fill in thumbnail info for backends
* sftp: Handle host identity changes
* Enable translations everywhere
* Add bash completion support for command line apps
* Fix handling of blank cds and audio cds
* Support port in sftp uris

Major changes in 0.1.7:
* Update for gio API changes
* Add gconf based implementation of
  g_app_info_get_default_for_uri_scheme
* Fix crashes
* Allow navigation with http uris
* Better file read performance with readahead and
  large block reads
* Lots of bugs fixed in trash backend
* Pick up cdrom icons from autorun.inf
* Add "filesystem" file to computer://
* Fix renaming in sftp and smb

Major changes in 0.1.6:
* Add files missing in the released 0.1.5 tarball

Major changes in 0.1.5:
* Update to work with latest glib
* Fix sftp error handling on reading directories
* Use correct file info attribute name style
* Add gvfs-mkdir app
* hal: Don't show drives if all volumes are hidden
* Enable translations

Major changes in 0.1.4:
* Update to work with latest glib
* Fix compiler warnings

Major changes in 0.1.3:
* Various fixes to hal volume monitor
* Make gvfsd reload config on SIGUSR1
* Updates to http/dav backends
* Port http backend to libsoup 2.4.
* Initial burn:/// backend
* Add ssh: alias for sftp:
* Fix fuse mount
* Automount fuse on startup of daemon
* Various bugfixes

Major changes in 0.1.2:
* Switch to intltool fro translation setup
* Update to latest gio APIS
* Add mount list option to gvfs-mount
* Specify fallback icons in hal backend
* Implement more of computer: backend
* Initial http backend
* Fix get_relative_path bug on root paths

Major changes in 0.1.1:
* Use gio from glib (glib 2.15.1 required)
* Fix translation issues
* Fix various sftp backend issues
* Move .mount files to /usr/share/gvfs/mounts
* Add initial computer:/// backend

Major changes in 0.1.0:
* Use gio from glib (glib 2.15.0 required)
* Update to API changes in gio
* add cdda backend
* add hal volume monitor

Major changes in 0.0.2:
* Updated to work win gio-standalone 0.1.2
* Build fixes on various platforms
* Don't link client lib to libgvfscommon.so
* Change how the uri mapper works
* Integrate standard uri mappers (i.e. smb) into client libs
  (You might need to remove $prefix/lib/gvfs/modules/libsmb.so
   from an older version if you install this)
* Cleanly handle when gvfs daemons die, without
  crashing the app
* Implement unmounting
* Rename master daemon to "gvfsd" and mount daemons to
  names like "gvfsd-sftp".
